diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-deduplication-test.cc ns-3.44/src/internet/test/ipv4-deduplication-test.cc
--- ns-3.43/src/internet/test/ipv4-deduplication-test.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-deduplication-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -45,9 +45,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Deduplication Test
+ * @brief IPv4 Deduplication Test
  *
  * Tests topology:
  *
@@ -71,42 +71,42 @@
 class Ipv4DeduplicationTest : public TestCase
 {
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param packet The packet to send.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param packet The packet to send.
+     * @param to Destination address.
      */
     void DoSendPacket(Ptr<Socket> socket, Ptr<Packet> packet, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param packet The packet to send.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param packet The packet to send.
+     * @param to Destination address.
      */
     void SendPacket(Ptr<Socket> socket, Ptr<Packet> packet, std::string to);
 
     /**
-     * \brief Check packet receptions
-     * \param name Node name
+     * @brief Check packet receptions
+     * @param name Node name
      */
     void CheckPackets(const std::string& name);
 
     /**
-     * \brief Check packet drops
-     * \param name Node name
+     * @brief Check packet drops
+     * @param name Node name
      */
     void CheckDrops(const std::string& name);
 
@@ -114,9 +114,9 @@
 
     /**
      * Creates the test name according to the parameters
-     * \param enable deduplication enabled
-     * \param expire expiration delay for duplicate cache entries
-     * \returns A string describing the test
+     * @param enable deduplication enabled
+     * @param expire expiration delay for duplicate cache entries
+     * @returns A string describing the test
      */
     static std::string MakeName(bool enable, Time expire);
 
@@ -142,24 +142,24 @@
 
     /**
      * Constructor
-     * \param enable deduplication enabled
-     * \param expire expiration delay for duplicate cache entries
+     * @param enable deduplication enabled
+     * @param expire expiration delay for duplicate cache entries
      */
     Ipv4DeduplicationTest(bool enable, Time expire = Seconds(1));
 
     /**
-     * \brief Receive data.
-     * \param [in] socket The receive socket.
+     * @brief Receive data.
+     * @param [in] socket The receive socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 
     /**
-     * \brief Register dropped packet.
-     * \param [in] ipHeader IP header
-     * \param [in] packet Packet that was dropped
-     * \param [in] reason Reason for dropping packet
-     * \param [in] ipv4 Ipv4 instance
-     * \param [in] interface Interface number
+     * @brief Register dropped packet.
+     * @param [in] ipHeader IP header
+     * @param [in] packet Packet that was dropped
+     * @param [in] reason Reason for dropping packet
+     * @param [in] ipv4 Ipv4 instance
+     * @param [in] interface Interface number
      */
     void DropPkt(const Ipv4Header& ipHeader,
                  Ptr<const Packet> packet,
@@ -533,9 +533,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Deduplication TestSuite
+ * @brief IPv4 Deduplication TestSuite
  */
 class Ipv4DeduplicationTestSuite : public TestSuite
 {
@@ -558,9 +558,9 @@
     g_ipv4DeduplicationTestSuite; //!< Static variable for test initialization
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Deduplication Performance Test
+ * @brief IPv4 Deduplication Performance Test
  *
  * This test case sets up a fully connected network of
  * 10 nodes.  Each node transmits 2 packets / second
@@ -593,9 +593,9 @@
 
     /**
      * Send data
-     * \param socket output socket
-     * \param to destination address
-     * \param socketIndex index of the socket
+     * @param socket output socket
+     * @param to destination address
+     * @param socketIndex index of the socket
      */
     void DoSendData(Ptr<Socket> socket, Address to, uint8_t socketIndex);
 };
@@ -715,9 +715,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Deduplication Performance TestSuite
+ * @brief IPv4 Deduplication Performance TestSuite
  */
 class Ipv4DeduplicationPerformanceTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-forwarding-test.cc ns-3.44/src/internet/test/ipv4-forwarding-test.cc
--- ns-3.43/src/internet/test/ipv4-forwarding-test.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-forwarding-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -32,24 +32,24 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Forwarding Test
+ * @brief IPv4 Forwarding Test
  */
 class Ipv4ForwardingTest : public TestCase
 {
     Ptr<Packet> m_receivedPacket; //!< Received packet
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -58,8 +58,8 @@
     Ipv4ForwardingTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 };
@@ -214,9 +214,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Forwarding TestSuite
+ * @brief IPv4 Forwarding TestSuite
  */
 class Ipv4ForwardingTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-fragmentation-test.cc ns-3.44/src/internet/test/ipv4-fragmentation-test.cc
--- ns-3.43/src/internet/test/ipv4-fragmentation-test.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-fragmentation-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -47,9 +47,9 @@
 class UdpSocketImpl;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Tag used in IPv4 Fragmentation Test
+ * @brief Tag used in IPv4 Fragmentation Test
  */
 class IPv4TestTag : public Tag
 {
@@ -57,8 +57,8 @@
     uint64_t token; //!< Token carried by the tag.
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId()
     {
@@ -93,8 +93,8 @@
     }
 
     /**
-     * \brief Set the token.
-     * \param token The token.
+     * @brief Set the token.
+     * @param token The token.
      */
     void SetToken(uint64_t token)
     {
@@ -102,8 +102,8 @@
     }
 
     /**
-     * \brief Get the token.
-     * \returns The token.
+     * @brief Get the token.
+     * @returns The token.
      */
     uint64_t GetToken() const
     {
@@ -112,9 +112,9 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Fragmentation Test
+ * @brief IPv4 Fragmentation Test
  */
 class Ipv4FragmentationTest : public TestCase
 {
@@ -134,7 +134,7 @@
     void DoRun() override;
     /**
      * Constructor
-     * \param broadcast send broadcast packets (true) or unicast packets (false)
+     * @param broadcast send broadcast packets (true) or unicast packets (false)
      */
     Ipv4FragmentationTest(bool broadcast);
     ~Ipv4FragmentationTest() override;
@@ -142,35 +142,35 @@
     // server part
 
     /**
-     * \brief Start the server.
-     * \param ServerNode The server.
+     * @brief Start the server.
+     * @param ServerNode The server.
      */
     void StartServer(Ptr<Node> ServerNode);
     /**
-     * \brief Handle incoming packets.
-     * \param socket The receiving socket.
+     * @brief Handle incoming packets.
+     * @param socket The receiving socket.
      */
     void HandleReadServer(Ptr<Socket> socket);
 
     // client part
 
     /**
-     * \brief Start the client.
-     * \param ClientNode The client.
+     * @brief Start the client.
+     * @param ClientNode The client.
      */
     void StartClient(Ptr<Node> ClientNode);
     /**
-     * \brief Handle incoming packets.
-     * \param socket The receiving socket.
+     * @brief Handle incoming packets.
+     * @param socket The receiving socket.
      */
     void HandleReadClient(Ptr<Socket> socket);
     /**
-     * \brief Handle incoming ICMP packets.
-     * \param icmpSource The ICMP sender.
-     * \param icmpTtl The ICMP TTL.
-     * \param icmpType The ICMP Type.
-     * \param icmpCode The ICMP Code.
-     * \param icmpInfo The ICMP Info.
+     * @brief Handle incoming ICMP packets.
+     * @param icmpSource The ICMP sender.
+     * @param icmpTtl The ICMP TTL.
+     * @param icmpType The ICMP Type.
+     * @param icmpCode The ICMP Code.
+     * @param icmpInfo The ICMP Info.
      */
     void HandleReadIcmpClient(Ipv4Address icmpSource,
                               uint8_t icmpTtl,
@@ -179,16 +179,16 @@
                               uint32_t icmpInfo);
 
     /**
-     * \brief Set the packet fill.
-     * \param fill The fill.
-     * \param fillSize The fill size.
-     * \param dataSize The packet size.
+     * @brief Set the packet fill.
+     * @param fill The fill.
+     * @param fillSize The fill size.
+     * @param dataSize The packet size.
      */
     void SetFill(uint8_t* fill, uint32_t fillSize, uint32_t dataSize);
 
     /**
-     * \brief Send a packet.
-     * \returns The sent packet.
+     * @brief Send a packet.
+     * @returns The sent packet.
      */
     Ptr<Packet> SendClient();
 };
@@ -565,9 +565,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Fragmentation TestSuite
+ * @brief IPv4 Fragmentation TestSuite
  */
 class Ipv4FragmentationTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-global-routing-test-suite.cc ns-3.44/src/internet/test/ipv4-global-routing-test-suite.cc
--- ns-3.43/src/internet/test/ipv4-global-routing-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-global-routing-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -106,9 +106,9 @@
 //              route to 10.1.1.0 gw 10.1.2.1
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 GlobalRouting Link test
+ * @brief IPv4 GlobalRouting Link test
  */
 class LinkTest : public TestCase
 {
@@ -190,9 +190,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 GlobalRouting LAN test
+ * @brief IPv4 GlobalRouting LAN test
  */
 class LanTest : public TestCase
 {
@@ -271,9 +271,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 GlobalRouting Two Link test
+ * @brief IPv4 GlobalRouting Two Link test
  */
 class TwoLinkTest : public TestCase
 {
@@ -390,9 +390,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 GlobalRouting Two LAN test
+ * @brief IPv4 GlobalRouting Two LAN test
  */
 class TwoLanTest : public TestCase
 {
@@ -490,9 +490,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 GlobalRouting Bridge test
+ * @brief IPv4 GlobalRouting Bridge test
  */
 class BridgeTest : public TestCase
 {
@@ -673,9 +673,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 GlobalRouting Two bridges test
+ * @brief IPv4 GlobalRouting Two bridges test
  */
 class TwoBridgeTest : public TestCase
 {
@@ -830,9 +830,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Dynamic GlobalRouting test
+ * @brief IPv4 Dynamic GlobalRouting test
  */
 class Ipv4DynamicGlobalRoutingTestCase : public TestCase
 {
@@ -842,20 +842,20 @@
 
   private:
     /**
-     * \brief Send some data
-     * \param index Index of the socket to use.
+     * @brief Send some data
+     * @param index Index of the socket to use.
      */
     void SendData(uint8_t index);
 
     /**
-     * \brief Shutdown a socket
-     * \param index Index of the socket to close.
+     * @brief Shutdown a socket
+     * @param index Index of the socket to close.
      */
     void ShutDownSock(uint8_t index);
 
     /**
      * Handle an incoming packet
-     * \param socket The input socket.
+     * @param socket The input socket.
      */
     void HandleRead(Ptr<Socket> socket);
     void DoRun() override;
@@ -1027,8 +1027,8 @@
     sendSockA.first->Connect(InetSocketAddress(i5i6.GetAddress(1), port));
     sendSockA.second = true;
     m_sendSocks.push_back(sendSockA);
-    Simulator::Schedule(Seconds(1.0), &Ipv4DynamicGlobalRoutingTestCase::SendData, this, 0);
-    Simulator::Schedule(Seconds(10.0), &Ipv4DynamicGlobalRoutingTestCase::ShutDownSock, this, 0);
+    Simulator::Schedule(Seconds(1), &Ipv4DynamicGlobalRoutingTestCase::SendData, this, 0);
+    Simulator::Schedule(Seconds(10), &Ipv4DynamicGlobalRoutingTestCase::ShutDownSock, this, 0);
 
     std::pair<Ptr<Socket>, bool> sendSockB;
     sendSockB.first = Socket::CreateSocket(c.Get(1), tid);
@@ -1036,8 +1036,8 @@
     sendSockB.first->Connect(InetSocketAddress(i1i6.GetAddress(1), port));
     sendSockB.second = true;
     m_sendSocks.push_back(sendSockB);
-    Simulator::Schedule(Seconds(11.0), &Ipv4DynamicGlobalRoutingTestCase::SendData, this, 1);
-    Simulator::Schedule(Seconds(16.0), &Ipv4DynamicGlobalRoutingTestCase::ShutDownSock, this, 1);
+    Simulator::Schedule(Seconds(11), &Ipv4DynamicGlobalRoutingTestCase::SendData, this, 1);
+    Simulator::Schedule(Seconds(16), &Ipv4DynamicGlobalRoutingTestCase::ShutDownSock, this, 1);
 
     // Create an optional packet sink to receive these packets
     Ptr<Socket> sink2 = Socket::CreateSocket(c.Get(6), tid);
@@ -1138,9 +1138,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Dynamic GlobalRouting /32 test
+ * @brief IPv4 Dynamic GlobalRouting /32 test
  */
 class Ipv4GlobalRoutingSlash32TestCase : public TestCase
 {
@@ -1151,20 +1151,20 @@
     Ptr<Packet> m_receivedPacket; //!< number of received packets
 
     /**
-     * \brief Receive a packet.
-     * \param socket The receiving socket.
+     * @brief Receive a packet.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
     /**
-     * \brief Send a packet.
-     * \param socket The sending socket.
-     * \param to The address of the receiver.
+     * @brief Send a packet.
+     * @param socket The sending socket.
+     * @param to The address of the receiver.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send a packet.
-     * \param socket The sending socket.
-     * \param to The address of the receiver.
+     * @brief Send a packet.
+     * @param socket The sending socket.
+     * @param to The address of the receiver.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -1301,9 +1301,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 GlobalRouting TestSuite
+ * @brief IPv4 GlobalRouting TestSuite
  */
 class Ipv4GlobalRoutingTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-header-test.cc ns-3.44/src/internet/test/ipv4-header-test.cc
--- ns-3.43/src/internet/test/ipv4-header-test.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-header-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -41,9 +41,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Header Test
+ * @brief IPv4 Header Test
  */
 class Ipv4HeaderTest : public TestCase
 {
@@ -51,11 +51,11 @@
     Ipv4Header m_receivedHeader;  //!< Received header.
 
     /**
-     * \brief Send a packet with specific DSCP and ECN fields.
-     * \param socket The source socket.
-     * \param to The destination address.
-     * \param dscp The DSCP field.
-     * \param ecn The ECN field.
+     * @brief Send a packet with specific DSCP and ECN fields.
+     * @param socket The source socket.
+     * @param to The destination address.
+     * @param dscp The DSCP field.
+     * @param ecn The ECN field.
      */
     void DoSendData_IpHdr_Dscp(Ptr<Socket> socket,
                                std::string to,
@@ -63,11 +63,11 @@
                                Ipv4Header::EcnType ecn);
 
     /**
-     * \brief Send a packet with specific DSCP and ECN fields.
-     * \param socket The source socket.
-     * \param to The destination address.
-     * \param dscp The DSCP field.
-     * \param ecn The ECN field.
+     * @brief Send a packet with specific DSCP and ECN fields.
+     * @param socket The source socket.
+     * @param to The destination address.
+     * @param dscp The DSCP field.
+     * @param ecn The ECN field.
      */
     void SendData_IpHdr_Dscp(Ptr<Socket> socket,
                              std::string to,
@@ -79,15 +79,15 @@
     Ipv4HeaderTest();
 
     /**
-     * \brief Receives a packet.
-     * \param socket The receiving socket.
-     * \param packet The packet.
-     * \param from The source address.
+     * @brief Receives a packet.
+     * @param socket The receiving socket.
+     * @param packet The packet.
+     * @param from The source address.
      */
     void ReceivePacket(Ptr<Socket> socket, Ptr<Packet> packet, const Address& from);
     /**
-     * \brief Receives a packet.
-     * \param socket The receiving socket.
+     * @brief Receives a packet.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 };
@@ -280,9 +280,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Header TestSuite
+ * @brief IPv4 Header TestSuite
  */
 class Ipv4HeaderTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-list-routing-test-suite.cc ns-3.44/src/internet/test/ipv4-list-routing-test-suite.cc
--- ns-3.43/src/internet/test/ipv4-list-routing-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-list-routing-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -13,9 +13,9 @@
 {
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 dummy routing class (A)
+ * @brief IPv4 dummy routing class (A)
  */
 class Ipv4ARouting : public Ipv4RoutingProtocol
 {
@@ -65,9 +65,9 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 dummy routing class (B)
+ * @brief IPv4 dummy routing class (B)
  */
 class Ipv4BRouting : public Ipv4RoutingProtocol
 {
@@ -117,9 +117,9 @@
 };
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 ListRouting negative test.
+ * @brief IPv4 ListRouting negative test.
  */
 class Ipv4ListRoutingNegativeTestCase : public TestCase
 {
@@ -151,9 +151,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 ListRouting positive test.
+ * @brief IPv4 ListRouting positive test.
  */
 class Ipv4ListRoutingPositiveTestCase : public TestCase
 {
@@ -190,9 +190,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 ListRouting TestSuite
+ * @brief IPv4 ListRouting TestSuite
  */
 class Ipv4ListRoutingTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-packet-info-tag-test-suite.cc ns-3.44/src/internet/test/ipv4-packet-info-tag-test-suite.cc
--- ns-3.43/src/internet/test/ipv4-packet-info-tag-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-packet-info-tag-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -42,9 +42,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 PacketInfoTag Test
+ * @brief IPv4 PacketInfoTag Test
  */
 class Ipv4PacketInfoTagTest : public TestCase
 {
@@ -55,14 +55,14 @@
     void DoRun() override;
 
     /**
-     * \brief Receive callback.
-     * \param socket Receiving socket.
+     * @brief Receive callback.
+     * @param socket Receiving socket.
      */
     void RxCb(Ptr<Socket> socket);
     /**
-     * \brief Send data.
-     * \param socket Sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket Sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
 };
@@ -196,9 +196,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 PacketInfoTag TestSuite
+ * @brief IPv4 PacketInfoTag TestSuite
  */
 class Ipv4PacketInfoTagTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-raw-test.cc ns-3.44/src/internet/test/ipv4-raw-test.cc
--- ns-3.43/src/internet/test/ipv4-raw-test.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-raw-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -42,9 +42,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 RAW Socket Test
+ * @brief IPv4 RAW Socket Test
  */
 class Ipv4RawSocketImplTest : public TestCase
 {
@@ -52,27 +52,27 @@
     Ptr<Packet> m_receivedPacket2; //!< Received packet (2).
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData_IpHdr(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData_IpHdr(Ptr<Socket> socket, std::string to);
 
@@ -81,27 +81,27 @@
     Ipv4RawSocketImplTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
-     * \param packet The received packet.
-     * \param from The sender.
+     * @brief Receive data.
+     * @param socket The receiving socket.
+     * @param packet The received packet.
+     * @param from The sender.
      */
     void ReceivePacket(Ptr<Socket> socket, Ptr<Packet> packet, const Address& from);
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
-     * \param packet The received packet.
-     * \param from The sender.
+     * @brief Receive data.
+     * @param socket The receiving socket.
+     * @param packet The received packet.
+     * @param from The sender.
      */
     void ReceivePacket2(Ptr<Socket> socket, Ptr<Packet> packet, const Address& from);
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt2(Ptr<Socket> socket);
 };
@@ -359,9 +359,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 RAW Socket TestSuite
+ * @brief IPv4 RAW Socket TestSuite
  */
 class Ipv4RawTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-rip-test.cc ns-3.44/src/internet/test/ipv4-rip-test.cc
--- ns-3.43/src/internet/test/ipv4-rip-test.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-rip-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -34,24 +34,24 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 RIP Test
+ * @brief IPv4 RIP Test
  */
 class Ipv4RipTest : public TestCase
 {
     Ptr<Packet> m_receivedPacket; //!< Received packet
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -60,8 +60,8 @@
     Ipv4RipTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 };
@@ -263,24 +263,24 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 RIP count to infinity Test
+ * @brief IPv4 RIP count to infinity Test
  */
 class Ipv4RipCountToInfinityTest : public TestCase
 {
     Ptr<Packet> m_receivedPacket; //!< Received packet
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
@@ -289,8 +289,8 @@
     Ipv4RipCountToInfinityTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 };
@@ -496,9 +496,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 RIP SplitHorizon strategy Test
+ * @brief IPv4 RIP SplitHorizon strategy Test
  */
 class Ipv4RipSplitHorizonStrategyTest : public TestCase
 {
@@ -509,14 +509,14 @@
     void DoRun() override;
 
     /**
-     * \brief Constructor.
-     * \param strategy The SplitHorizon strategy.
+     * @brief Constructor.
+     * @param strategy The SplitHorizon strategy.
      */
     Ipv4RipSplitHorizonStrategyTest(Rip::SplitHorizonType_e strategy);
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePktProbe(Ptr<Socket> socket);
 };
@@ -684,9 +684,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 RIP TestSuite
+ * @brief IPv4 RIP TestSuite
  */
 class Ipv4RipTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-static-routing-test-suite.cc ns-3.44/src/internet/test/ipv4-static-routing-test-suite.cc
--- ns-3.43/src/internet/test/ipv4-static-routing-test-suite.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-static-routing-test-suite.cc	2025-03-09 16:55:49.411371200 -0700
@@ -27,9 +27,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 StaticRouting /32 Test
+ * @brief IPv4 StaticRouting /32 Test
  */
 class Ipv4StaticRoutingSlash32TestCase : public TestCase
 {
@@ -40,21 +40,21 @@
     Ptr<Packet> m_receivedPacket; //!< Received packet
 
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void DoSendData(Ptr<Socket> socket, std::string to);
     /**
-     * \brief Send data.
-     * \param socket The sending socket.
-     * \param to Destination address.
+     * @brief Send data.
+     * @param socket The sending socket.
+     * @param to Destination address.
      */
     void SendData(Ptr<Socket> socket, std::string to);
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 
@@ -197,9 +197,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 StaticRouting /32 TestSuite
+ * @brief IPv4 StaticRouting /32 TestSuite
  */
 class Ipv4StaticRoutingTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/ipv4-test.cc ns-3.44/src/internet/test/ipv4-test.cc
--- ns-3.43/src/internet/test/ipv4-test.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/test/ipv4-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -20,9 +20,9 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 Test
+ * @brief IPv4 Test
  */
 class Ipv4L3ProtocolTestCase : public TestCase
 {
@@ -110,9 +110,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief IPv4 TestSuite
+ * @brief IPv4 TestSuite
  */
 class IPv4L3ProtocolTestSuite : public TestSuite
 {
